Bug 1256741 - "CapsLock" will work as "\" when boot a guest with usb-kbd
Summary: "CapsLock" will work as "\" when boot a guest with usb-kbd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Xujun Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-25 11:19 UTC by Yanan Fu
Modified: 2016-11-03 20:01 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-1.5.3-114.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2585 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2016-11-03 12:09:03 UTC

Description Yanan Fu 2015-08-25 11:19:04 UTC
Description of problem:
Boot a guest with:
-device ich9-usb-uhci6,id=uhci6,bus=pci.0,addr=0xa \
-device usb-kbd,id=kdb0,bus=uhci6.0 \
-device usb-ccid,id=ccid0 \

in the guest,press "CapsLock",screen will print "\", and try input characters, it still print lower characters.
 
Version-Release number of selected component (if applicable):
kernel:3.10.0-305.el7.x86_64
qemu:qemu-kvm-1.5.3-101.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. boot a guest with:
-device ich9-usb-uhci6,id=uhci6,bus=pci.0,addr=0xa \
-device usb-kbd,id=kdb0,bus=uhci6.0 \
-device usb-ccid,id=ccid0 \
2.after guest boot, press "CapsLock", the screen print "\", and input character, it print in the screen as lower characters. 


Actual results:
press "CapsLock" button, the screen print "\", and input character, it print in the screen as lower characters.

\\\\\jdsjdls

Expected results:


Additional info:
CLI:
/usr/libexec/qemu-kvm -name rhel7 -S -machine pc,accel=kvm,usb=off -realtime mlock=off -cpu SandyBridge -sandbox off -m 4G -smp 8,cores=2,threads=1,sockets=4,maxcpus=10 -no-user-config -nodefaults -global kvm-pit.lost_tick_policy=discard -no-hpet -boot order=c,menu=on,splash-time=3000,strict=on -device ich9-usb-ehci1,id=usb0,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb0.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -drive file=/home/nfs/RHEL-7.2.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,serial=f65effa5-90a6-47f2-8487-a9f64c95d4f5,cache=none,discard=unmap,werror=stop,rerror=stop,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x9,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -device usb-tablet,id=input0 -monitor stdio -spice port=5900,addr=0.0.0.0,seamless-migration=on,disable-ticketing -device qxl-vga,id=video0,ram_size=134217728,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x2 -device ich9-usb-uhci6,id=uhci6,bus=pci.0,addr=0xa -device usb-kbd,id=kdb0,bus=uhci6.0 -device usb-ccid,id=ccid0

Comment 2 Gerd Hoffmann 2015-08-27 11:37:38 UTC
Upstream commit 0ee4de5840ccc1072459ec68062bfb63c888a94d (fixed in 2.3.0).
IMO not critical, defering to 7.3.

Comment 4 Gerd Hoffmann 2016-06-01 12:24:49 UTC
> Upstream commit 0ee4de5840ccc1072459ec68062bfb63c888a94d

backport posted.

Comment 5 Miroslav Rezanina 2016-06-15 09:19:59 UTC
Fix included in qemu-kvm-1.5.3-114.el7

Comment 7 Yanan Fu 2016-07-28 03:30:57 UTC
--------------reproduce--------------
version: qemu-kvm-1.5.3-113.el7

steps:
1. boot a guest with the same CLI when report this bug, which include :
-device ich9-usb-uhci6,id=uhci6,bus=pci.0,addr=0xa \
-device usb-kbd,id=kdb0,bus=uhci6.0 \
-device usb-ccid,id=ccid0 \
2.after guest boot, in the guest, open one terminal, press "CapsLock", the screen print "\", and input character, it print in the screen as lower characters.

reproduce this bug successfully .


--------------verify--------------
version: qemu-kvm-1.5.3-114.el7

steps:
1. boot a guest with the same CLI when report this bug, which include :
-device ich9-usb-uhci6,id=uhci6,bus=pci.0,addr=0xa \
-device usb-kbd,id=kdb0,bus=uhci6.0 \
-device usb-ccid,id=ccid0 \
2.after guest boot, in the guest, open one terminal, press "CapsLock",no output in the screen, and input character, it print in the screen as high characters.


So this bug has been fixed in qemu-kvm-1.5.3-114.el7.

Comment 9 errata-xmlrpc 2016-11-03 20:01:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2585.html


Note You need to log in before you can comment on or make changes to this bug.